package rediskey

const (
	// 每月首次充值返利
	SlotFruitWeeklyDailyTask = "act:slotFruitWeeklyDailyTask:%s:%d" // slot周活动、水果机周活动，每日任务是否领取（共用同一个key，两个活动的每日任务福利只能领取一次）2006-01:用户id
	GameSlotWeeklyDailyTask  = "act:gameSlotWeeklyDailyTask:%s:%d"  // 多财多福game slot周活动，每日任务是否领取 2006-01:用户id

	// 开斋节活动
	OpenRamadanChargeAwardTimes = "act:openRamadan:chargeAward:%d:%d"    // 开斋节活动，充值奖励领取次数，活动id:用户id
	OpenRamadanTaskTimesMic     = "act:openRamadan:mic:%d:%s:%d"         // 开斋节活动，上麦奖励领取次数，活动id:日期:用户id
	OpenRamadanTaskTimesLudo    = "act:openRamadan:ludo:%d:%s:%d"        // 开斋节活动，玩ludo奖励领取次数，活动id:日期:用户id
	OpenRamadanTaskTimesFruit   = "act:openRamadan:fruit:%d:%s:%d"       // 开斋节活动，玩水果机游戏奖励领取次数，活动id:日期:用户id
	OpenRamadanTaskTimesSlot    = "act:openRamadan:slot:%d:%s:%d"        // 开斋节活动，玩slot游戏奖励领取次数，活动id:日期:用户id
	OpenRamadanTaskTimesEnter   = "act:openRamadan:enter:%d:%s:%d"       // 开斋节活动，穿指定座驾进入不同房间 奖励领取次数，活动id:日期:用户id
	OpenRamadanTaskTimesRoom    = "act:openRamadan:room:%d:%s:%d:%d"     // 开斋节活动，今日进入某个房间的次数，活动id:日期:用户id:房间id
	OpenRamadanFruitBet         = "act:openRamadan:fruitBet:%d:%s:%d:%d" // 开斋节活动，水果机某个轮次下注次数记录，活动id:日期:用户id:轮次

	ConvertToTRTCNum = "group:covertTrtc:%s" // 某天声网房间转换成trtc的数量

	// 活动相关
	TmpActUserActId  = "act:tmp:%d:%d"    // 模板关联活动对应的用户参与的活动id
	ActChargeDiamond = "act:charge:%s:%d" // 活动数据，今日充值钻石数，日期:用户id

	TimesModGroupActivity = "addGroupActivity"
	TimesLatGroupActivity = "groupTxId"

	ActChargeGetPoint   = "act:chargeGetPoint:%s:%d:%d"    // 活动数据，今日充值档位哪些用户获得过，日期:档位:用户id
	ActIdChargeDiamond  = "act:charge:%d:%s:%d"            // 活动数据，今日充值钻石数，活动id:日期:用户id
	ActIdChargeGetPoint = "act:chargeGetPoint:%d:%s:%d:%d" // 活动数据，今日充值档位哪些用户获得过，活动id:日期:档位:用户id
	ActIdChargeCent     = "act:charge:%d:%d"               // 活动数据，活动期间充值美分，活动id:用户id

	ChargeDollar = "charge:%s:%d" // 今日充值美元，日期:用户id
	// 每月首次充值返利
	MonthChargeTimes = "charge:times:%s:%d" // 本月充值次数，月份:用户id

	// 斋月活动
	RamadanDailyTaskGet    = "ramadan:dailyTask:%s:%d:%d"       // 斋月活动数据，某天的日常任务奖励是否已经领取，日期:模板活动id:用户id
	RamadanGetDailyLottery = "ramadan:getDailyLottery:%s:%d:%d" // 斋月活动数据，某天的充值获得抽奖次数是否已经完成，日期:模板活动id:用户id

	// 开斋节活动
	OpenRamadanSendGiftLeftDiamond = "act:openRamadan:diamond:%d:%d" // 开斋节活动，剩余还没转换成积分的送礼钻石，活动id:用户id
	ResCountry                     = "res:country"                   // 国家列表
	// 开斋节活动

	// 定时任务的互斥锁
	cronLock = "cronLock:{subKey}"

	ActIpGetAwardTimes   = "act:ipAwardTimes:%d:%d:%d:%s"   // 一个ip在活动中的领奖次数 活动id:领奖类型:level:ip地址
	ActImeiGetAwardTimes = "act:imeiAwardTimes:%d:%d:%d:%s" // 一个设备在活动中的领奖次数 活动id:领奖类型:level:设备号

	ExchangePinkCostDiamond   = "finance:exPinkDiamond:%s:%d"     // 某天兑换粉钻所花费的黄钻 日期:用户id
	GameAutoMathEnterRoom     = "game:autoEnter:%d:%s"            // 快速游戏，进入某个房间
	Game1V1EnterRoom          = "game:oneAndOne:%s"               // 1v1游戏，进入某个房间，%s: txGroupId
	Game1V1GameChannel        = "game:gameChannel:%s"             // 1v1游戏，发布订阅channel，游戏创建成功后的通知，%s: imGroupId
	Game1V1ResetGameRoom      = "game:resetGameRoom:%s"           // 1v1游戏，把某个房间重新放回匹配池，%s: txGroupId
	Game1V1RoomRobot          = "game:oneAndOneRobot:%s"          // 1v1游戏，某个房间匹配到的机器人，%s: txGroupId, val: 机器人uid
	Game1V1GameTimesRecord    = "game:timesRecord:%s:%d:%d:%d"    // 1v1游戏，游戏次数活动记录，天日期：玩家Id：游戏gameId：对方玩家id
	Game1V1GameWinTimesRecord = "game:winTimesRecord:%s:%d:%d:%d" // 1v1游戏，游戏获胜次数活动记录，天日期：获胜玩家Id：游戏gameId：对方玩家id

	GroupSupportConsumeSummary = "group:support:consumeSummary:%s" // 群组扶持，周流水记录,zset数据,%s:日期    member:imGroupId, score:diamond
	GroupSupportCountSupporter = "group:support:supporter:%s:%s"   // 群组扶持，日期:imGroupId，SADD新的支持者

	RoomVisitCount = "room_visit_count" // 15天内进入房间的人数

	GroupCountrySortList = "group:sortCountryList:%s" // 国家群组列表，%s:countryName
	ActTemplateRanking   = "act:ranking:%d:%d:%d"     // 排行榜数据  活动id:排行榜类型:teamId
	ActOldUserAllCharge  = "act:oldUser:%d:%d"        // 老用户回归，领奖时的累充黄钻  活动id:userId
)
